=== debian/changelog ===
graphite2 (1.0.3.real-1) unstable; urgency=low

  * fixup upstream release for 1.0.3

 -- Rene Engelhard <rene@debian.org>  Thu, 22 Sep 2011 20:59:53 +0200

graphite2 (1.0.3-1) unstable; urgency=low

  * New upstream release
  * add libxml2-utils to B-D-I 

 -- Rene Engelhard <rene@debian.org>  Tue, 20 Sep 2011 00:28:27 +0200

graphite2 (1.0.2-1) unstable; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Mon, 15 Aug 2011 13:29:41 +0000

graphite2 (1.0.1-3) unstable; urgency=low

  * debian/patches/fix-typedefs.diff: move ...
  * debian/patches/words-bigendian-fixes.diff: ... here and add additional
    upstream fix for setting -DWORDS_BIGENDIAN also for the tests...
  * clean up Build-Depends:
    + move asciidoc, dblatex, doxygen, docbook-xsl, latex-xcolor to B-D-I
    + remove libxml2-utils

 -- Rene Engelhard <rene@debian.org>  Wed, 10 Aug 2011 15:42:59 +0200

graphite2 (1.0.1-2) unstable; urgency=low

  * debian/patches/fix-typedefs.diff: fix Main.h typedefs for 
    WORDS_BIGENDIAN 

 -- Rene Engelhard <rene@debian.org>  Tue, 09 Aug 2011 17:47:10 +0000

graphite2 (1.0.1-1) unstable; urgency=low

  * New upstream release
    - removes -nostdlibs (closes: #634810)

  * build with -DDISABLE_TRACING:bool=1
  * stop symlinking to Debian's fonts as they are not sufficient for the
    tests
  * update debian/copyright; mention ppport.h according to
    http://pkg-perl.alioth.debian.org/copyright.html#devel__ppport 
  * fix libgraphite2-2.0.0's short description 

 -- Rene Engelhard <rene@debian.org>  Thu, 28 Jul 2011 12:54:36 +0000

graphite2 (0.9.4.dfsg-4) unstable; urgency=low

  * grr, remove dpkg-source generated patch which readds ppport.h...

 -- Rene Engelhard <rene@debian.org>  Thu, 14 Jul 2011 14:50:55 +0200

graphite2 (0.9.4.dfsg-3) unstable; urgency=low

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Tue, 12 Jul 2011 16:58:19 +0000

graphite2 (0.9.4.dfsg-2) experimental; urgency=low

  * add missing build-dep on latex-xcolor

 -- Rene Engelhard <rene@debian.org>  Sun, 10 Jul 2011 00:05:23 +0200

graphite2 (0.9.4.dfsg-1) experimental; urgency=low

  * remove perl/pport.h and tests/fonts/* from .orig

  * debian/changelog: update 
  * debian/control: build-depend on ttf-sil-padauk, ttf-sil-scheherazade
  * debian/rules: symlink to Debian's versions pf Padauk and Scheherazade,
    though....
  * debian/patches/disable_font_tests.diff: disable them (fail)
  * debian/rules, debian/control: disable perl build

 -- Rene Engelhard <rene@debian.org>  Sat, 09 Jul 2011 16:50:25 +0000

graphite2 (0.9.4-1) experimental; urgency=low

  * Initial release (closes: #617718)

 -- Rene Engelhard <rene@debian.org>  Fri, 03 Jun 2011 11:08:48 +0000
