=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,20 +1,59 @@
 project(testing)
 include(Graphite)
-option(ENABLE_COMPARE_RENDERER "Build tool to compare output of different renderers" ON) 
+include(CMakeDependentOption)
+CMAKE_DEPENDENT_OPTION(GRAPHITE2_COMPARE_RENDERER "Build tool to compare output of different renderers" ON
+                        "NOT GRAPHITE2_NFILEFACE;NOT GRAPHITE2_NSEGCACHE" OFF)
 
-add_subdirectory(vm)
+include_directories(${graphite2_core_SOURCE_DIR})
+set(S ${graphite2_core_SOURCE_DIR})
 
-if (ENABLE_COMPARE_RENDERER)
+add_library(graphite2-base STATIC
+    ${S}/FeatureMap.cpp
+    ${S}/NameTable.cpp
+    ${S}/Sparse.cpp
+    ${S}/TtfUtil.cpp
+    ${S}/UtfCodec.cpp)
+
+add_library(graphite2-segcache STATIC
+    ${S}/GlyphFaceCache.cpp
+    ${S}/GlyphFace.cpp
+    ${S}/gr_logging.cpp
+    ${S}/json.cpp
+    ${S}/SegCache.cpp
+    ${S}/SegCacheEntry.cpp
+    ${S}/SegCacheStore.cpp
+    ${S}/Slot.cpp)
+
+if (${CMAKE_SYSTEM_NAME} STREQUAL "Windows")
+    set_target_properties(graphite2-base PROPERTIES 
+                            COMPILE_DEFINITIONS "GRAPHITE2_STATIC _SCL_SECURE_NO_WARNINGS _CRT_SECURE_NO_WARNINGS UNICODE")
+    set_target_properties(graphite2-segcache PROPERTIES 
+                            COMPILE_DEFINITIONS "GRAPHITE2_STATIC _SCL_SECURE_NO_WARNINGS _CRT_SECURE_NO_WARNINGS UNICODE")
+else (${CMAKE_SYSTEM_NAME} STREQUAL "Windows")
+    set_target_properties(graphite2-base PROPERTIES 
+                            COMPILE_DEFINITIONS "GRAPHITE2_STATIC")
+    set_target_properties(graphite2-segcache PROPERTIES 
+                            COMPILE_DEFINITIONS "GRAPHITE2_STATIC")
+endif (${CMAKE_SYSTEM_NAME} STREQUAL "Windows")
+
+if (GRAPHITE2_COMPARE_RENDERER)
     add_subdirectory(comparerenderer)
-endif (ENABLE_COMPARE_RENDERER)
-
-add_subdirectory(segcache)
+endif (GRAPHITE2_COMPARE_RENDERER)
+add_subdirectory(endian)
+if (NOT GRAPHITE2_NFILEFACE)
+    add_subdirectory(examples)
+endif (NOT GRAPHITE2_NFILEFACE)
 add_subdirectory(featuremap)
+add_subdirectory(grlist)
+add_subdirectory(json)
 add_subdirectory(nametabletest)
-add_subdirectory(examples)
-add_subdirectory(grlist)
-add_subdirectory(endian)
+if (NOT (GRAPHITE2_NSEGCACHE OR GRAPHITE2_NFILEFACE))
+    add_subdirectory(segcache)
+endif (NOT (GRAPHITE2_NSEGCACHE OR GRAPHITE2_NFILEFACE))
 add_subdirectory(utftest)
+if (NOT GRAPHITE2_NFILEFACE)
+    add_subdirectory(vm)
+endif (NOT GRAPHITE2_NFILEFACE)
 
 enable_testing()
 
@@ -41,6 +80,8 @@
 fonttest(magyar1 MagyarLinLibertineG.ttf 0031 0035 -feat 210=36)
 fonttest(magyar2 MagyarLinLibertineG.ttf 0031 0030 -feat 210=200)
 fonttest(magyar3 MagyarLinLibertineG.ttf 0066 0069 0066 0074 0079 002d 0066 0069 0076 0065 -feat 209=3)
+fonttest(grtest1 grtest1gr.ttf 0062 0061 0061 0061 0061 0061 0061 0062 0061)
+fonttest(general1 general.ttf 0E01 0062)
 
 feattest(padauk_feat Padauk.ttf)
 feattest(charis_feat charis_r_gr.ttf)
