=== debian/changelog ===
graphite2 (1.1.1-1) unstable; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Mon, 27 Feb 2012 22:32:26 +0100

graphite2 (1.1.0-2) unstable; urgency=low

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Tue, 21 Feb 2012 20:41:47 +0100

graphite2 (1.1.0-1) experimental; urgency=low

  * New upstream release
  * fix copyright syntax 

 -- Rene Engelhard <rene@debian.org>  Tue, 07 Feb 2012 22:55:08 +0000
