=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,7 @@
 	dh_auto_clean
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DCMAKE_BUILD_TYPE:STRING=Release -DDISABLE_TRACING:bool=1
+	dh_auto_configure -- -DCMAKE_BUILD_TYPE:STRING=Release -DGRAPHITE2_NTRACING:bool=1
 
 override_dh_gencontrol:
 	dh_gencontrol -Nlibtext-graphite2-perl -O--builddirectory=build
